[ghc] pkg-deps.sh: comment list binlib progs and warn about missing graphviz

Jens Petersen petersen at fedoraproject.org
Fri Sep 24 02:44:47 UTC 2010


commit a90b89c92ac98d5414fabb3e8a25a972d0e7b35f
Author: Jens Petersen <petersen at redhat.com>
Date:   Fri Sep 24 12:44:42 2010 +1000

    pkg-deps.sh: comment list binlib progs and warn about missing graphviz

 pkg-deps.sh |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)
---
diff --git a/pkg-deps.sh b/pkg-deps.sh
index 8df293f..4f2261a 100755
--- a/pkg-deps.sh
+++ b/pkg-deps.sh
@@ -13,7 +13,8 @@ cd .pkg-deps
 ghc-pkg dot --global | sed '$d' > pkgs.dot
 
 # check for binary deps too
-for i in alex cabal-install cpphs darcs ghc happy gtk2hs-buildtools haskell-platform hscolour xmobar xmonad; do
+# (exclude binlib for now since covered by libs): cpphs, darcs, hlint, hscolour, xmonad
+for i in alex cabal-install ghc happy gtk2hs-buildtools haskell-platform xmobar; do
   PKG_THERE=yes
   PKG=`rpm -q --qf "%{name}-%{version}" $i` || { PKG_THERE=no ; echo "missing $i" ; }
   if [ "$PKG_THERE" = "yes" ]; then
@@ -41,7 +42,7 @@ cp -p pkgs.dot pkgs.dot.orig
 GHC_PKGS="array base-4 base-3 bin-package-db bytestring Cabal containers directory dph extensible-exceptions filepath ffi ghc-binary ghc-prim haskell98 hpc integer-gmp old-locale old-time pretty process random rts syb template-haskell time unix Win32"
 for i in $GHC_PKGS; do sed -i -e /$i/d pkgs.dot; done
 
-which tred >/dev/null
+which tred &>/dev/null || { echo Please install graphviz ; exit 1 ; }
 cat pkgs.dot | tred | dot -Nfontsize=8 -Tsvg >pkgs.svg
 
 if [ -n "$DISPLAY" ]; then


More information about the scm-commits mailing list